@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

@mixin type($type) {
  @include customAttribute('type', $type) {
    @content;
  }
}

:host {
  @include robotoRegular;
  @include flex(center, space-between);
  @include padding(0 15px);
  flex-wrap: nowrap;
  white-space: nowrap;
  border-radius: 20px;
  color: $white;
  font-size: 14px;
  line-height: 16px;
  pointer-events: auto;
  height: 40px;
  cursor: pointer;

  @include type('default') {
    background-color: rgba($eclipse, 0.9);

    &:hover {
      background-color: rgba(lighten($eclipse, 10), 0.9);
    }
  }

  @include type('error') {
    background-color: $bittersweet;

    &:hover {
      background-color: lighten($bittersweet, 10);
    }
  }
}

// message
.app-message {
  @include flex(center);

  .app-icon {
    @include box(20px);
    margin-right: 8px;

    ::ng-deep {
      svg {
        @include box(20px);
      }
    }
  }
}

// right
.app-right {
  @include flex(center);
  @include ubuntuMedium;
  margin-left: 90px;

  b {
    cursor: pointer;

    &:hover {
      opacity: 0.8;
    }
  }

  .app-divider {
    width: 1px;
    height: 14px;
    background-color: $white;
    margin: 0 7px;
  }
}

@media (max-width: 767px) {
  // right
  .app-right {
    margin-left: 10px;
  }
}
